Subject: Inconsistent keyboard layout affecting encrypted root
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 15 Jan 2017 06:55:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using a UK keyboard layout with a computer that I recently installed
GuixSD on with a encrypted root parition. Immediately after installation
when I attempted to boot in to the new system for the first time I had
to enter the passphrase twice, and in doing this, first I had to use the
keyboard layout under which I carried out the installation (the layout
which I had intended to use), and then during the early boot stage of
the system I had to enter the passphrase using a different keyboard
layout.

The ideal behaviour here is that the way in which the passphrase is set
in the installer is the way in which it has to be entered into Grub and
during the early boot of the system.